package cz.frantovo.springDemo1.dao;

import cz.frantovo.springDemo1.KnihaDAORemote;
import cz.frantovo.springDemo1.dto.Kniha;
import java.util.ArrayList;
import java.util.Collection;
import javax.annotation.Resource;
import javax.ejb.Stateless;
import javax.sql.DataSource;
import org.springframework.jdbc.core.JdbcTemplate;

/**
 *
 * @author fiki
 */
@Stateless
public class KnihaDAO implements KnihaDAORemote {

    @Resource(mappedName="jdbc/sqlVyuka/piskoviste")
    private DataSource dataSource;

    public Collection<Kniha> getKnihy() {
	Collection<Kniha> vysledek = new ArrayList<Kniha>();

	JdbcTemplate t = new JdbcTemplate(dataSource);

	t.queryForInt("SELECT 1;");

	Kniha k = new Kniha();
	k.setNazev("Pokusná kniha");
	vysledek.add(k);

	return vysledek;
    }
}
